Page MenuHomePhabricator

[Story] Call WikibaseLexeme API with baserevid parameter from the UI
Closed, ResolvedPublic5 Story Points

Description

Once T217243 is solved we will be able to pass a baserevid to the API when making edits from the lexeme UI.
This is needed to help detect edit conflicts.

Acceptance criteria:

  • All editing calls to the API from the UI pass a baserevid to the API based on the revision of the entity loaded on the page.

When the API request fails due to baserevid issue
Then user is presented with a warning that they need to refresh for an up-to-date version

Event Timeline

Addshore created this task.Feb 27 2019, 2:34 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 27 2019, 2:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore triaged this task as Medium priority.Feb 27 2019, 2:34 PM
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
alaa_wmde updated the task description. (Show Details)Mar 5 2019, 4:08 PM
alaa_wmde set the point value for this task to 5.
alaa_wmde renamed this task from Call WikibaseLexeme API with baserevid parameter from the UI to [Story] Call WikibaseLexeme API with baserevid parameter from the UI.Apr 4 2019, 8:52 AM
Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:28 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 16 2019, 11:30 AM
alaa_wmde closed this task as Resolved.Aug 12 2019, 3:04 PM
alaa_wmde added a subscriber: alaa_wmde.

Works as expected in the scenario of self-conflict and of real conflict!